PROMETHEUS-SYSTEMD-EXPORTER(1)

NAME
prometheus-systemd-exporter - Prometheus exporter for systemd

SYNOPSIS

prometheus-systemd-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--systemd.collector.unit-include
    Regexp of systemd units to include. Units must both match include and not match exclude to be included.

--systemd.collector.unit-exclude
    Regexp of systemd units to exclude. Units must both match include and not match exclude to be included.

--systemd.collector.private
    Establish a private, direct connection to systemd without dbus.

--systemd.collector.user
    Connect to the user systemd instance.

--systemd.collector.enable-restart-count
    Enables service restart count metrics. This feature only works with systemd 235 and above.

--systemd.collector.enable-ip-accounting
    Enables service ip accounting metrics. This feature only works with systemd 235 and above.

--web.telemetry-path
    Path under which to expose metrics.

--web.disable-exporter-metrics
    Exclude metrics about the exporter itself (promhttp_*, process_*, go_*).

--web.max-requests=40
    Maximum number of parallel scrape requests. Use 0 to disable.

--systemd.collector.enable-resolved
    Enable systemd-resolved statistics

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9558
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.